View Issue Details

IDProjectCategoryView StatusLast Update
0000971FreeCADBugpublic2017-03-27 08:29
ReporternormandcAssigned Tomrlukeparry 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0000971: Tracing over a background image in Sketcher: image is overwritten by first dimensional constraint text
DescriptionWhen tracing over a background image in the Sketcher, everything is fine until a dimensional constraint is added. Then, the text value for the dimension overwrites the whole image. The only solution is to delete the image and recreate it again.

Steps to reproduce:

1. Create a Plane Image with the Image workbench
2. Create a new sketch on a plane parallel to the Image
3. Draw elements, apply a dimensional constraint.

This was first found out in the French forum: https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=12&t=3365#p26107
Additional InformationOS: Ubuntu 12.04.1 LTS
Platform: 64-bit
Version: 0.13.1827 (Git)
Branch: master
Hash: 372b4542ee4588328c31819a337a656eb276d596
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0

But this goes back a longer time.
TagsNo tags attached.

Relationships

has duplicate 0001185 closedwmayer Planer image changes to number graphic when a part design constraint is made after the planar image 

Activities

2013-02-02 17:16

 

FC_image_sketcher_bug_02.png (Attachment missing)

2013-02-02 17:16

 

FC_image_sketcher_bug_03.png (Attachment missing)

normandc

2013-02-02 17:17

manager   ~0002876

This user reports the same problem: http://forum.freecadweb.org/viewtopic.php?f=3&t=3525#p27459

wmayer

2013-10-13 14:38

administrator   ~0003743

git show 629e764

Related Changesets

FreeCAD: master 629e7642

2013-10-13 18:35:27

wmayer

Details Diff
0000971: Tracing over a background image in Sketcher: image is overwritten by first dimensional constraint text Affected Issues
0000971
mod - src/Mod/Sketcher/Gui/SoDatumLabel.cpp Diff File
mod - src/Mod/Sketcher/Gui/SoDatumLabel.h Diff File

Issue History

Date Modified Username Field Change
2013-02-02 17:16 normandc New Issue
2013-02-02 17:16 normandc File Added: FC_image_sketcher_bug_02.png
2013-02-02 17:16 normandc File Added: FC_image_sketcher_bug_03.png
2013-02-02 17:17 normandc Note Added: 0002876
2013-02-02 21:32 logari81 Status new => assigned
2013-02-02 21:32 logari81 Assigned To => mrlukeparry
2013-08-16 00:07 normandc Relationship added has duplicate 0001185
2013-10-13 14:38 wmayer Note Added: 0003743
2013-10-13 14:38 wmayer Status assigned => closed
2013-10-13 14:38 wmayer Resolution open => fixed
2013-10-13 14:38 wmayer Fixed in Version => 0.14
2017-03-27 08:29 Kunda1 Changeset attached => FreeCAD master 629e7642